textures/clockwork/sky
{
	skyparms textures/clockwork/manifoldsky 2048 -	
	q3map_lightImage textures/clockwork/manifold_lightimage.tga
	
	q3map_nofog
	q3map_globaltexture 
	q3map_sunExt 1 1 1 150 100 110 3 12    // R G B Intensity Angle Pitch # #
    q3map_skyLight  165 5    //100 6
	q3map_lightmapFilterRadius 0 8
	q3map_skylight 33 4
	
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	nopicmip
	nomipmaps
	
	qer_editorimage textures/clockwork/manifoldsky_rt.jpg
}

textures/clockwork/thanks
{
	nopicmip
	nomipmaps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/clockwork/thanks.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/clockwork/banner
{
	nopicmip
	nomipmaps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/clockwork/banner.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/clockwork/icy
{
	qer_trans 0.80
	qer_editorimage textures/clockwork/synice.tga
	surfaceparm slick
	surfaceparm glass
	surfaceparm nodamage
	surfaceparm trans
	tessSize 256

	{
		map textures/clockwork/synice.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/clockwork/synice_effect_dark.jpg
		tcgen environment
		blendfunc add
		alphagen const 0.1
	}
}

textures/clockwork/icy_highsort
{
	qer_trans 0.80
	qer_editorimage textures/clockwork/synice.tga
	surfaceparm slick
	surfaceparm glass
	surfaceparm nodamage
	surfaceparm trans
	tessSize 256
	sort 16
	{
		map textures/clockwork/synice.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/clockwork/synice_effect_dark.jpg
		tcgen environment
		blendfunc add
		alphagen const 0.1
	}
}

textures/clockwork/sphere_blue
{
	qer_editorimage textures/clockwork/tp_blue.tga
	surfaceparm nodamage
    surfaceparm trans
	qer_trans 0.5
	q3map_surfacelight 500
	{
		map textures/clockwork/battery_clouds.tga
		blendfunc add
		rgbGen wave sin 0.5 0.4 0 0.025 
		tcMod scale 0.5 0.5
		alphaGen const 0.5
	}
	{
		map textures/clockwork/battery_clouds.tga
		blendfunc filter
		rgbGen const ( 0 0.3 0.6 )
		alphaGen const 0.5
		tcMod scroll 0.01 0.015
		tcMod scale 0.5 0.5
	}
	{
   	    map textures/clockwork/tp_blue.tga
   		blendFunc GL_ONE GL_ZERO
    	rgbGen identity //vertex
    	tcGen environment
	}
}

textures/clockwork/sphere_green
{
	qer_editorimage textures/clockwork/tp_green.tga
	surfaceparm nodamage
    surfaceparm trans
	qer_trans 0.5
	q3map_surfacelight 500
	{
		map textures/clockwork/battery_clouds.tga
		blendfunc add
		rgbGen wave sin 0.5 0.4 0 0.025 
		tcMod scale 0.5 0.5
		alphaGen const 0.5
	}
	{
		map textures/clockwork/battery_clouds.tga
		blendfunc filter
		rgbGen const ( 0 0.3 0.6 )
		alphaGen const 0.5
		tcMod scroll 0.01 0.015
		tcMod scale 0.5 0.5
	}
	{
   	    map textures/clockwork/tp_green.tga
   		blendFunc GL_ONE GL_ZERO
    	rgbGen identity //vertex
    	tcGen environment
	}
}

textures/clockwork/sphere_red
{
	qer_editorimage textures/clockwork/tp_red.tga
	surfaceparm nodamage
    surfaceparm trans
	qer_trans 0.5
	q3map_surfacelight 500
	{
		map textures/clockwork/battery_clouds.tga
		blendfunc add
		rgbGen wave sin 0.5 0.4 0 0.025 
		tcMod scale 0.5 0.5
		alphaGen const 0.5
	}
	{
		map textures/clockwork/battery_clouds.tga
		blendfunc filter
		rgbGen const ( 0 0.3 0.6 )
		alphaGen const 0.5
		tcMod scroll 0.01 0.015
		tcMod scale 0.5 0.5
	}
	{
   	    map textures/clockwork/tp_red.tga
   		blendFunc GL_ONE GL_ZERO
    	rgbGen identity //vertex
    	tcGen environment
	}
}